Bug 139136 - Style Inspector: non-localizable values "true" and "false"
Summary: Style Inspector: non-localizable values "true" and "false"
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
7.1.0.0.beta1+
Hardware: All All
: medium enhancement
Assignee: Shivam Kumar Singh
URL:
Whiteboard: target:7.2.0
Keywords:
Depends on:
Blocks: Styles_Inspector
  Show dependency treegraph
 
Reported: 2020-12-21 21:22 UTC by Martin Srebotnjak
Modified: 2021-01-24 19:41 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Srebotnjak 2020-12-21 21:22:17 UTC
Description:
Values "true" and "false" displayed in Styles Inspector are not localizable. A bug.

Steps to Reproduce:
1. Open Styles Inspector while editing a document in Writer with non-English UI.
2.
3.

Actual Results:
You see values "true" and "false" displayed in the Inspector.

Expected Results:
Values should be localizable.


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 7.1.0.1.0+
Build ID: c7170abcb7d5c62a17fa89005f1c53cb11b4d21e
CPU threads: 8; OS: Mac OS X 10.14.6; UI render: default; VCL: osx
Locale: sl-SI (sl_SI.UTF-8); UI: sl-SI
Calc: threaded
Comment 1 Roman Kuznetsov 2020-12-24 19:36:01 UTC
I don't think so, but let's ask our UX-team
Comment 2 Martin Srebotnjak 2020-12-24 20:45:24 UTC
True and False can be also displayed as 0/1 as they are just that, binary operators.
But not with English words, not acceptable.
Comment 3 Shivam Kumar Singh 2020-12-25 05:13:41 UTC
Are not "true" and "false" general terms for active/non-active?
Yes changing them to 0/1 is acceptable too. Waiting for more input
Comment 4 Heiko Tietze 2021-01-11 05:40:47 UTC
Nothing to add from UX side if the l10n team requests localization.
Comment 5 Commit Notification 2021-01-24 19:38:09 UTC
shivam-51 committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/6b6b6f011c313e1a3419bdbe3e50ce09a0fb7d9a

tdf#139136 Style Inspector: "true" and "false" now localizable

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.